proxies:
- name: "irancell"
  type: vless
  server: de2-i.firefly-service.com
  port: 4430
  dialer-proxy: hy2-out
  uuid: base64password
  udp: true
  packet-encoding: xudp
  tls: false
  network: grpc
  grpc-opts:
    grpc-service-name: graphql

- name: "hy2-out"
  type: hysteria2
  server: de2-i.firefly-service.com
  port: 443
  password: HivaService
  obfs: salamander
  obfs-password: NoFirewall
  sni: www.tradingview.com
  skip-cert-verify: true
  alpn:
    - h3

proxy-groups:
- name: PROXY
  type: select
  proxies:
    - irancell

rules:
- MATCH,PROXY
- GEOIP,ir,DIRECT
- GEOIP,private,DIRECT
- IP-CIDR,224.0.0.0/3,REJECT
- IP-CIDR6,ff00::/8,REJECT

dns:
  enable: true
  default-nameserver:
    - 8.8.8.8
    - 1.1.1.1
  nameserver:
    - 8.8.8.8
    - 1.1.1.1